<?php

class p_usertab_uc extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        // Информация о плагине

        $this->info['plugin']           = 'p_usertab_uc';
        $this->info['title']            = 'Вкладка Товары';
        $this->info['description']      = 'Добавляет вкладку "Товары" в профили всех пользователей';
        $this->info['author']           = 'Александр&instantcms.com.ua';
        $this->info['version']          = '1.0';

        $this->info['tab']              = 'Товары'; //-- Заголовок закладки в профиле

        // Настройки по-умолчанию
        $this->config['Количество товаров'] = 10;

        // События, которые будут отлавливаться плагином

        $this->events[]                 = 'USER_PROFILE';

    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event, $user){

        parent::execute();

        $inCore     = cmsCore::getInstance();

        $$catalogs   = array();

        $user_id    = $user['id'];
        $limit      = $this->config['Количество товаров'];

        $sql        = "SELECT id, title, published, imageurl, price FROM cms_uc_items
                       WHERE user_id = {$user_id}
                       ORDER BY published DESC
                       LIMIT {$limit}";

        $result     = $this->inDB->query($sql);

        $total      = $this->inDB->num_rows($result);

        if ($total){

            while($catalog = $this->inDB->fetch_assoc($result)){
                $catalog['url'] = '/catalog/item'.$catalog['id'].'.html';
                $catalogs[] = $catalog;
            }
            
        }

        ob_start();

        $smarty= $this->inCore->initSmarty('plugins', 'p_usertab_uc.tpl');
        $smarty->assign('total', $total);
        $smarty->assign('catalogs', $catalogs);
        $smarty->display('p_usertab_uc.tpl');

        $html = ob_get_clean();

        return $html;

    }

// ==================================================================== //

}

?>
